Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!

10.4: Run Aperture nag-free on unsupported Macs Apps
After much searching around without getting anywhere, I stumbled upon an easy fix to make Aperture run on a MacBook without nagging you that your screen is too small or you have too little RAM. Control-click on the Aperture application in the Finder and pick Show Package Contents from the pop-up menu. In the Contents window that opens, edit the Info.plist in the Property List Editor (Developer Tools required.) Change the following entry:
AELMinimumRAMSize string 1000
Change 1000 to 512 (if you only have 512MB of RAM). Also change this line:
RKMinimumDisplayPixelHeight number 854
Change 854 to 800. Save the file (you will need an admin password) and relaunch Aperture. It should open nag free.

[robg adds: There are two previous hints (1, 2] concerning running Aperture on unsupported machines. The RAM bit in this hint duplicates one of those, but the resolution section is new. You should be able to vary the resolution to match that of your machine, if it's not an 800 pixel tall MacBook. You should also be able to edit the plist file with a straight text editor, though it'll be a bit more work.]
    •    
  • Currently 1.25 / 5
  You rated: 1 / 5 (4 votes cast)
 
[14,355 views]  

10.4: Run Aperture nag-free on unsupported Macs | 11 comments | Create New Account
Click here to return to the '10.4: Run Aperture nag-free on unsupported Macs' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
10.4: Run Aperture nag-free on unsupported Macs
Authored by: garythemacguy on Aug 17, '06 01:34:05PM

> You should also be able to edit the plist file with a straight text editor, though it'll be a bit more work.

It ain't necessarily so. Don't forget that with the advent of Tiger, most if not all of Apple's plist files are stored as binary files - not text files as they had been up until then.

"man plutil" for more information...



[ Reply to This | # ]
10.4: Run Aperture nag-free on unsupported Macs
Authored by: kierkegaard on Aug 18, '06 11:24:07PM

I did it with textedit. Just search for "854" and replace it with "800". Works like a charm, although I didn't bother with the ram part because I have a gig already.



[ Reply to This | # ]
10.4: Run Aperture nag-free on unsupported Macs
Authored by: wackybit on Aug 19, '06 09:11:24PM

My problem is that I can't install Aperture in the first place, because I only have 512MB of RAM. Can I change some settings of the Aperture file before installing it or something?



[ Reply to This | # ]
10.4: Run Aperture nag-free on unsupported Macs
Authored by: trixy54 on Aug 20, '06 12:58:07AM

this looks really great! however one problem: when I ctrl+click the Aperture.dmg there is no "Show Package Contents" option for me to choose. I'm a recently turned windows user, so I'm incredibly new to macs. sorry. >.<



[ Reply to This | # ]
10.4: Run Aperture nag-free on unsupported Macs
Authored by: kierkegaard on Aug 20, '06 10:35:10PM

Actually, the thing you're supposed to ctrl-click is the icon in your applications folder, after you've already installed the program.



[ Reply to This | # ]
10.4: Run Aperture nag-free on unsupported Macs
Authored by: neoisback on Sep 22, '06 03:40:30AM

And what if I canĀ“t install it at all?? When I try to run Install Aperture.mpkg it throws an error: "Your computer needs at least 1GB of RAM to run this software", is there any way of solving this problem??



[ Reply to This | # ]
10.4: Run Aperture nag-free on unsupported Macs
Authored by: mump on Oct 21, '06 02:10:08AM

i cant find the display size string. where is it?



[ Reply to This | # ]
10.4: Run Aperture nag-free on unsupported Macs
Authored by: robschon on Nov 02, '06 07:50:51AM

The 1.5 update appears to have removed the vertical pixel restraint. Runs without complaint on a MacBook with 1MB RAM.



[ Reply to This | # ]
10.4: Run Aperture nag-free on unsupported Macs
Authored by: redfitz on Nov 08, '06 03:11:34PM

Is there a way to make Aperture work on other Macs? On a G4 Mac, for example? I have one with over a gig of ram and another with well under a gig of ram. Both have large enough screens, but neither can open Aperture because of the hardware restrictions. What can I change to alleviate that problem?

Thank you very much!



[ Reply to This | # ]
10.4: Run Aperture nag-free on unsupported Macs
Authored by: redfitz on Nov 08, '06 03:29:55PM

I also don't see the display string anywhere. I have a gig of ram on my machine so I don't need to change that, I think the monitor is plenty large (on my desktop) so i don't need to change that, i've changed the minimum CPU speed to 400mHZ for both the laptop and desktop string and changed the G5 to G4 for the desktop string to match the G4 tower I have, but I'm still getting the "your computer doesn't meet the minimum hardware requirements" message when I try to boot Aperture. Any ideas? (this goes along with my last post).

Thanks!



[ Reply to This | # ]
10.4: Run Aperture nag-free on unsupported Macs
Authored by: stilabel2 on Nov 10, '06 09:38:13AM

How do I bypass the video card support? It will run the G4 addition but not allow me to upgrade from 1.0 - I have a iMac G5 with 2 gig of ram. How do I trick the system to allow the upgrade?

---
Michael E. Abell



[ Reply to This | # ]